| Home | Libraries | People | FAQ | More

## Struct template incremental

boost::intrusive::incremental

## Synopsis

    template<bool Enabled>
    struct incremental {
    };

## Description

This option setter specifies if the hash container will use incremental hashing. With incremental hashing the cost of hash table expansion is spread out across each hash table insertion operation, as opposed to be incurred all at once. Therefore linear hashing is well suited for interactive applications or real-time appplications where the worst-case insertion time of non-incremental hash containers (rehashing the whole bucket array) is not admisible.